# Uses of Interface
org.codehaus.plexus.util.xml.pull.XmlSerializer

Packages that use XmlSerializer
Package
Description
org.codehaus.plexus.util.xml
XML utilities.
org.codehaus.plexus.util.xml.pull
XML Pull Parser interface and implementation.

## Uses of XmlSerializer in org.codehaus.plexus.util.xml

Methods in org.codehaus.plexus.util.xml with parameters of type XmlSerializer
Modifier and Type
Method
Description
`void`
Xpp3Dom.`writeToSerializer(String namespace, XmlSerializer serializer)`
`void`
Xpp3DomUtils.`writeToSerializer(String namespace, XmlSerializer serializer, Xpp3Dom dom)`
Constructors in org.codehaus.plexus.util.xml with parameters of type XmlSerializer
Modifier
Constructor
Description
``
`SerializerXMLWriter(String namespace, XmlSerializer serializer)`

## Uses of XmlSerializer in org.codehaus.plexus.util.xml.pull

Classes in org.codehaus.plexus.util.xml.pull that implement XmlSerializer
Modifier and Type
Class
Description
`class`
`MXSerializer`
Implementation of XmlSerializer interface from XmlPull V1 API.
Methods in org.codehaus.plexus.util.xml.pull that return XmlSerializer
Modifier and Type
Method
Description
`XmlSerializer`
MXSerializer.`attribute(String namespace, String name, String value)`
`XmlSerializer`
XmlSerializer.`attribute(String namespace, String name, String value)`
Write an attribute.
`XmlSerializer`
MXSerializer.`endTag(String namespace, String name)`
`XmlSerializer`
XmlSerializer.`endTag(String namespace, String name)`
Write end tag.
`XmlSerializer`
MXSerializer.`startTag(String namespace, String name)`
`XmlSerializer`
XmlSerializer.`startTag(String namespace, String name)`
Writes a start tag with the given namespace and name.
`XmlSerializer`
MXSerializer.`text(char[] buf, int start, int len)`
`XmlSerializer`
MXSerializer.`text(String text)`
`XmlSerializer`
XmlSerializer.`text(char[] buf, int start, int len)`
Writes text, where special XML chars are escaped automatically
`XmlSerializer`
XmlSerializer.`text(String text)`